/* 
 * Program:             $RCSfile: spdOption.h,v $  $Revision: 30.1 $
 * 
 * Purpose:             Sapidˤ륪ץؿ
 * 
 * Author:              Y.Momiyama  1997/07/05
 *                      S.Yamamoto  1996/07/05
 * 
 * (C) Copyright:       Y.Momiyama and S.Yamamoto  1997 - 1998
 *                      This file is a product of the project Sapid.
 */

/*
 * 
 */

#ifndef _SPD_OPTION_H
#define _SPD_OPTION_H

/* Mode. */

#define SAPID_I_MODE            1           /* Use I-model. */
#define SAPID_C_MODE            (1 << 1)    /* Use C-model. */

/* SpdStrˤprototypeνϡ */

#define SPDSTR_PROTOTYPE_NON    1           /* ˰¸ */
#define SPDSTR_PROTOTYPE_TYPE   (1 << 1)    /* typeΤ߽ϡ */
#define SPDSTR_PROTOTYPE_IDENT  (1 << 2)    /* identΤ߽ϡ */
#define SPDSTR_PROTOTYPE_ALL    (SPDSTR_PROTOTYPE_TYPE | SPDSTR_PROTOTYPE_IDENT)

/* spdGetOption()ǳoptionʤȤ֤͡ */

#define SAPID_NON_OPTION        (-1)

typedef struct {
    SpdString   option;
    int         value;
} SpdOption;

/* void spdSetDefaultOption(SpdOption *spdOption); */
int spdInsertOption(SpdOption *spdOption);
void spdSetOption(SpdString option, int value);
int spdGetOption(SpdString option);
void spdFreeOption(void);

#endif /* not _SPD_OPTION_H */
