/* 
 * Program:             $RCSfile: ImodelARcompat.h,v $  $Revision: 30.8 $
 * 
 * Purpose:             AR4ߴؿ
 * 
 * Author:              T.Hidaka  1998/05/21
 *                      S.Yamamoto  1998/05/23
 * 
 * (C) Copyright:       T.Hidaka and S.Yamamoto  1998 - 2001
 *                      This file is a product of the project Sapid.
 */

/* 
 * $Id: ImodelARcompat.h,v 30.8 2001/12/22 14:20:04 yamamoto Exp yamamoto $
 */ 

#include <Sapid/ImodelAR.h>

#define COMPATIBLE_AR4
#define COMPATIBLE_SMU

SpdObjId spdGetFileId(SpdRelId relationId);

#if defined(COMPATIBLE_AR4)
SpdCursor *spdGetOffsetOfObjInit(SpdObjId objectId);
#else
SpdCursor *spdGetOffsetOfObjInit(SpdObjId objectId, SpdObjId fileId);
#endif

SpdOcc spdGetOffsetOfObj(SpdCursor *csr);
SpdOcc spdGetAnOffsetOfObj(SpdObjId objectId);

SpdCursor *spdGetIncludedOccInit(SpdObjId objectId,
                                 SpdConstString objectType,
                                 SpdObjId fileId);
SpdOcc spdGetIncludedOcc(SpdCursor *csr);

SpdObjId spdTarget(SpdConstString modelName, SpdConstString name);
void spdReleaseTarget(void);

int spdWriteAllImodelClass(SpdConstString dirName);
/* int spdWriteAllPmodelClass(SpdConstString dirName); */
int spdWriteAllClass(SpdConstString dirName);

#if defined(COMPATIBLE_SMU)
SpdString ar5_smuGetAProgramName(void);
#else
SpdConstString ar5_smuGetAProgramName(void);
#endif

#define smuGetAProgramName() ar5_smuGetAProgramName()

/******************************************************************************/

/* SMUΤɬס */
SpdCursor *spdGetObjIdOfModelInit(SpdString className, SpdString name,
                                  SpdString model);
int spdGetObjIdOfModel(SpdCursor *csr);
int spdGetAnObjIdOfModel(SpdString className, SpdString name, SpdString model);
