/* 
 * Program:             $RCSfile: spdEncode.h,v $  $Revision: 40.15 $
 * 
 * Purpose:             
 * 
 * Author:              A.Yoshida  2002/05/21
 *                      S.Yamamoto  2002/05/21
 * 
 * (C) Copyright:       A.Yoshida and S.Yamamoto  2002 - 2003
 *                      This file is a product of the project Sapid.
 */

/* 
 * $Id: spdEncode.h,v 40.15 2003/05/19 03:56:16 yamamoto Exp yamamoto $
 */ 

#ifndef _SPD_ENCODE_H
#define _SPD_ENCODE_H

typedef enum {
    SPD_EC_UNKNOWN,
    SPD_EC_ASCII,
    /* 
     * SPD_EC_NEW_JIS,
     * SPD_EC_OLD_JIS,
     * SPD_EC_NEC_JIS,
     */
    SPD_EC_JIS,
    SPD_EC_EUC,
    SPD_EC_EUCORSJIS,
    SPD_EC_SJIS
} SpdEncode;

typedef struct {
    SpdEncode   in;
} SpdEncodeAll;

extern SpdEncodeAll spdEncode;

SpdBoolean spdInputEncodeIsWChar(unsigned char c1, unsigned char c2);
SpdBoolean spdEncodeIsWChar(SpdEncode en, unsigned char c1, unsigned char c2);
SpdBoolean spdInputEncodeIs(SpdEncode en);
void spdSetInputEncode(SpdString enName);
SpdString spdEncodeToStr(SpdEncode encode);

/******************************************************************************/

/* Not used yet. */

typedef enum {
    SPD_NL_UNKNOWN,
    SPD_NL_LF,
    SPD_EC_CR,
    SPD_EC_CRLF
} SpdNLType;

#endif /* not _SPD_ENCODE_H */
